require('dotenv').config();

var mixpanel = require('mixpanel-api-wrapper');
var helpers = require('./helpers.js');

/*
**  Generic function to query Mixpanel's api for funnel data given
** a funnel id. Makes use of mixpanelFunnel function in mixpanel-api-wrapper
**
** @param {string} secret Mixpanel API secret to access team's data
** @param {string|integer} id FunnelID to retrieve results for
** @return {stream} returns stream of results from Mixpanel API
*/

var today = helpers.getToday();

var monthAgo = helpers.getMonthAgo();

function updateData(secret, id) {
  var options = {
    from_date: helpers.formatDate(monthAgo),
    to_date: helpers.formatDate(today)
  };
  var str = mixpanel.mixpanelFunnel(secret, id, options);
  var str2 = helpers.transformStreamFunnel(str);
  return str2;
}

function updateSuccessData(secret) {
  var str = updateData(secret, process.env.updateSuccessID);
  return str;
}

function updateCancelData(secret) {
  var str = updateData(secret, process.env.updateCancelID);
  return str;
}

module.exports = {
  updateSuccessData: updateSuccessData,
  updateCancelData: updateCancelData
};
